package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaRoom;
import com.yunzhi.shigongli.mapper.TaRoomMapper;
import com.yunzhi.shigongli.service.ITaRoomService;

import com.yunzhi.shigongli.vo.RoomListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 房源 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaRoomServiceImpl extends BaseServiceImpl<TaRoomMapper, TaRoom> implements ITaRoomService {

    @Autowired
    TaRoomMapper taRoomMapper;

    @Override
    public IPage<RoomListVO> getPageListBy(IPage<TaRoom> pg, String plat, String hotelId, String roomName) {
        return taRoomMapper.getPageListBy(pg, plat, hotelId, roomName);
    }
}
